[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# FindClose

Close a find handle

## Declaration

Source position: filutilh.inc line 187

`procedure FindClose(`
`var F: TUnicodeSearchRec`
`); procedure FindClose(`
`var F: TRawbyteSearchRec`
`);`

## Description

FindClose ends a series of FindFirst/FindNext calls, and frees any memory used by these calls. It is absolutely necessary to do this call, or huge memory losses may occur.

For an example, see FindFirst.

## Errors

None.

## See also

FindFirst |  | Start a file search and return a findhandle
FindNext |  | Find the next entry in a findhandle.